# this script is for platform and processor detection within 'build.sh'.
# its not intended to be called standalone.

OSNAME=`uname -s`            # get OSNAME as reported from OS

# we prefer to user 'solaris' name instead of 'sunos'
if [ "$OSNAME" = "SunOS" ]; then
  OSNAME='Solaris'
fi

# get the processor name

MACHNAME=`uname -p`
if [ $MACHNAME = 'unknown' ]; then
	MACHNAME=`uname -m`
fi

# make all of ix86 family go with one name
if [[ $MACHNAME = i?86 ]]; then
	MACHNAME='i86'
fi

#VK: AMD processors are reported "athlon" .. for some weird reasion :)
if [[ $MACHNAME = athlon ]]; then
	MACHNAME='i86'
fi


# check wheter given names are correct
EXIT_STATUS=0
if [ "$MACHNAME" != "i86" ] && [ "$MACHNAME" != "sparc" ] && [ "$MACHNAME" != "ppc" ] && [ "$MACHNAME" != "alpha" ]; then
  if [ "$MACHNAME" = "all" ]; then
		MACHNAME='i86 ppc sparc alpha'
	else
		EXIT_STATUS=-1
	fi
fi

if [ "$OSNAME" != "Linux" ] && [ "$OSNAME" != "Solaris" ]; then
	if [ "$OSNAME" = "all" ]; then
		OSNAME='Linux Solaris'
	else
		EXIT_STATUS=-1
	fi
fi
